iDevGames Forums
/usr/lib problems again... - Printable Version

+- iDevGames Forums (http://www.idevgames.com/forums)
+-- Forum: Development Zone (/forum-3.html)
+--- Forum: Tools & Technology (/forum-10.html)
+--- Thread: /usr/lib problems again... (/thread-5568.html)



/usr/lib problems again... - BinarySpike - May 2, 2005 10:58 AM

Ok, now I've got libcurl.2.dylib and libssl.0.9.7.dylib "sybolicly linked" from /sw/lib to /usr/lib...

Now, I'm getting this error:
Code:
dyld: /Users/nathan/Desktop/BZFlag/BZFlag-2.0.2 copy.app/Contents/MacOS/bzflag Undefined symbols:
/Users/nathan/Desktop/BZFlag/BZFlag-2.0.2 copy.app/Contents/MacOS/bzflag undefined reference to _btowc expected to be defined in /usr/lib/libSystem.B.dylib
/Users/nathan/Desktop/BZFlag/BZFlag-2.0.2 copy.app/Contents/MacOS/bzflag undefined reference to _iswctype expected to be defined in /usr/lib/libSystem.B.dylib
/Users/nathan/Desktop/BZFlag/BZFlag-2.0.2 copy.app/Contents/MacOS/bzflag undefined reference to _mbsrtowcs expected to be defined in /usr/lib/libSystem.B.dylib
/Users/nathan/Desktop/BZFlag/BZFlag-2.0.2 copy.app/Contents/MacOS/bzflag undefined reference to _towlower expected to be defined in /usr/lib/libSystem.B.dylib
/Users/nathan/Desktop/BZFlag/BZFlag-2.0.2 copy.app/Contents/MacOS/bzflag undefined reference to _towupper expected to be defined in /usr/lib/libSystem.B.dylib
/Users/nathan/Desktop/BZFlag/BZFlag-2.0.2 copy.app/Contents/MacOS/bzflag undefined reference to _wcscoll expTrace/BPT trap

I was read that you need the latest developer tools...???
I have 10.2.8 and the developer tools...
And, I know that it should work fine on Panther...
(libcurl needs to be installed along with libssl for bzflag to work... that's only on Panther...)
I'll continue working with it maybe it was the "sybolic link" (terminals ln command)


/usr/lib problems again... - wadesworld - May 2, 2005 06:25 PM

What OS version were those libs compiled on and what version are you trying to run them on?

Wade


/usr/lib problems again... - OneSadCookie - May 2, 2005 07:01 PM

You need to rebuild bzflag on 10.2. Nothing else you do will fix those errors.


/usr/lib problems again... - BinarySpike - May 3, 2005 02:49 PM

Ok,
That's what I thought but I haven't had time to re-comile it...

Also, will the "new" compiled version work on Panther???
I don't want to have to let the bzflag dev people release a different version for
all the Jaguar users out there...


/usr/lib problems again... - OneSadCookie - May 3, 2005 03:00 PM

Yes, the version built on 10.2 should work fine on 10.3+


/usr/lib problems again... - BinarySpike - May 4, 2005 12:32 PM

Niiiiiiiiiice!!!

THANK YOU SOOOOO MUCH GUYS!!!!!!!!!!!!!!!!!!!!!!!!!!!!!